Delete an extra suboption metafield
API operation: Open the endpoint in Scalar
Use DELETE /business/{business_id}/extras/{extra_id}/options/{option_id}/suboptions/{suboption_id}/metafields/{metafield_id} to delete one metafield from an extra suboption. The operation is ExtraOptionSuboptionMetafield.delete.
The endpoint resolves metafield_id only through the specified business_id, extra_id, option_id, and suboption_id hierarchy and the literal model identity ExtraOptionSuboption. Resolve every ID before sending this destructive request.
The operation requires administrator or business-manager authentication. A business manager is scoped through businesses associated with that user.
See find an extra suboption metafield for the item read.
OpenAPI reference
Operation: DELETE /business/{business_id}/extras/{extra_id}/options/{option_id}/suboptions/{suboption_id}/metafields/{metafield_id}
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
business_id | integer | Yes | — |
extra_id | integer | Yes | — |
option_id | integer | Yes | — |
suboption_id | integer | Yes | — |
metafield_id | integer | Yes | — |
Responses
| Code | Description |
|---|---|
| 200 | OK (Envelope) |
| 400 | Bad Request (ErrorResponse) |
| 401 | Unauthorized |
| 404 | Not Found |
| 429 | Too Many Requests (ErrorResponse) |
| 500 | Internal Server Error (ErrorResponse) |
| 503 | Service Unavailable (ErrorResponse) |